Delete Template Section
curl --request DELETE \
--url https://api.artosai.com/api/v1/templates/{template_id}/sections/{section_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.artosai.com/api/v1/templates/{template_id}/sections/{section_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.artosai.com/api/v1/templates/{template_id}/sections/{section_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"deleted_section_id": "<string>",
"deleted_count": 1
}Templates
Delete Template Section
Delete a section from a template with optional cascading of child sections. Database CASCADE handles deletion of associated rules.
DELETE
/
api
/
v1
/
templates
/
{template_id}
/
sections
/
{section_id}
Delete Template Section
Authorizations
Okta access-token JWT sent as a Bearer token. The token identifies the user and scopes access to the user's organization.
Path Parameters
UUID of template
UUID of section to delete
Query Parameters
Whether to delete child sections with higher levels (default: true)